SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- w

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - s -

- serial_baud() : serial_api.h
- serial_break_clear() : serial_api.h
- serial_break_set() : serial_api.h
- serial_clear() : serial_api.h
- serial_clear_rx() : serial_ex_api.h
- serial_clear_tx() : serial_ex_api.h
- serial_disable() : serial_ex_api.h
- serial_enable() : serial_ex_api.h
- serial_format() : serial_api.h
- serial_free() : serial_api.h
- serial_getc() : serial_api.h
- serial_init() : serial_api.h
- serial_irq_handler() : serial_api.h
- serial_irq_set() : serial_api.h
- serial_pinout_tx() : serial_api.h
- serial_putc() : serial_api.h
- serial_readable() : serial_api.h
- serial_recv_blocked() : serial_ex_api.h
- serial_recv_comp_handler() : serial_ex_api.h
- serial_recv_stream() : serial_ex_api.h
- serial_recv_stream_abort() : serial_ex_api.h
- serial_recv_stream_dma() : serial_ex_api.h
- serial_recv_stream_dma_timeout() : serial_ex_api.h
- serial_recv_stream_timeout() : serial_ex_api.h
- serial_send_blocked() : serial_ex_api.h
- serial_send_comp_handler() : serial_ex_api.h
- serial_send_stream() : serial_ex_api.h
- serial_send_stream_abort() : serial_ex_api.h
- serial_send_stream_dma() : serial_ex_api.h
- serial_set_flow_control() : serial_api.h
- serial_writable() : serial_api.h
- SerialFifoLevel : serial_ex_api.h
- SerialIrq : serial_api.h
- SerialParity : serial_api.h
- sleep() : sleep_api.h
- sleep_ex() : sleep_ex_api.h
- sleep_ex_selective() : sleep_ex_api.h
- spdio_deinit() : spdio_api.h
- spdio_init() : spdio_api.h
- spdio_structinit() : spdio_api.h
- spdio_tx() : spdio_api.h
- spi_bus_tx_done_irq_hook() : spi_ex_api.h
- spi_busy() : spi_api.h
- spi_disable() : spi_api.h
- spi_enable() : spi_api.h
- spi_flush_rx_fifo() : spi_api.h
- spi_format() : spi_api.h
- spi_free() : spi_api.h
- spi_frequency() : spi_api.h
- spi_init() : spi_api.h
- spi_irq_hook() : spi_ex_api.h
- spi_master_read_stream() : spi_ex_api.h
- spi_master_read_stream_dma() : spi_ex_api.h
- spi_master_write() : spi_api.h
- spi_master_write_read_stream() : spi_ex_api.h
- spi_master_write_read_stream_dma() : spi_ex_api.h
- spi_master_write_stream() : spi_ex_api.h
- spi_master_write_stream_dma() : spi_ex_api.h
- spi_slave_flush_fifo() : spi_ex_api.h
- spi_slave_read() : spi_api.h
- spi_slave_read_stream() : spi_ex_api.h
- spi_slave_read_stream_dma() : spi_ex_api.h
- spi_slave_read_stream_dma_terminate() : spi_ex_api.h
- spi_slave_read_stream_dma_timeout() : spi_ex_api.h
- spi_slave_read_stream_terminate() : spi_ex_api.h
- spi_slave_read_stream_timeout() : spi_ex_api.h
- spi_slave_receive() : spi_api.h
- spi_slave_write() : spi_api.h
- spi_slave_write_stream() : spi_ex_api.h
- spi_slave_write_stream_dma() : spi_ex_api.h
- standby_wakeup_event_add() : sleep_ex_api.h
- standby_wakeup_event_del() : sleep_ex_api.h
- sys_adc_calibration() : sys_api.h
- sys_clear_ota_signature() : sys_api.h
- sys_cpu_reset() : sys_api.h
- sys_is_sdram_power_on() : sys_api.h
- sys_jtag_off() : sys_api.h
- sys_log_uart_off() : sys_api.h
- sys_log_uart_on() : sys_api.h
- sys_recover_ota_signature() : sys_api.h
- sys_reset() : sys_api.h
- sys_sdram_off() : sys_api.h